Summary:	The inittab file and the /etc/init.d scripts.
Group:		System Environment/Base
License:	GPL
Name:		initscripts
Version:	6.7
Release:	5
Source0:	initscripts-%{version}.tar.gz
Source1:	ifupdown-1.1.1
Patch00:	initscripts-6.7-quota-fix-gd.diff
Patch01:	initscripts-6.7-depmod-fix-gd.diff
Patch02:	initscripts-6.7-hwclock-gd.diff
Patch03:	initscripts-6.7-setsysfont-gd.patch
Patch04:	initscripts-6.7-raid-gd.patch
Patch05:	initscripts-6.7-swap-gd.patch
Patch06:	initscripts-6.7-checkfs-raidfix-gd-2.diff
Patch07:	initscripts-6.7-halt-raidfix-gd.diff
Patch08:	initscripts-6.7-bash3-escape-char-fix-gd-2.diff
Patch09:	initscripts-6.7-no-more-bdflush-gd-1.diff
Patch10:	initscripts-6.7-fix-find-arguments-gd-1.diff
Patch11:	initscripts-6.7-64bit-libpopt-gd-1.diff
Patch12:	initscripts-6.7-twosix-sysctl-update-gd-1.diff
Patch20:	initscripts-6.7-selinux-gd-5.diff
Requires:	mingetty, /bin/awk, /bin/sed, mktemp, e2fsprogs >= 1.18, kbd
Requires:	procps >= 2.0.7-1.0.2
Requires:	setup >= 2.0.3, /sbin/fuser, which
Requires:	modutils >= 2.4.26-1.5.5
Requires:	syslog-ng
Prereq:		/sbin/chkconfig, /usr/sbin/groupadd, gawk, fileutils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The initscripts package contains the basic system scripts used to boot
your Guardian Digital Linux Lockbox, change run levels, and shut the 
system down cleanly.  Initscripts also contains the scripts that 
activate and deactivate most network interfaces.

%files
  %defattr(-,root,root)
  %doc sysconfig.txt sysvinitfiles
  %doc %{_mandir}/man*/*

  %attr(0750,root,admin)	%dir %{_sysconfdir}/network
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/network/interfaces

  %attr(0750,root,admin)	%dir %{_sysconfdir}/default
  %attr(0700,root,root)		%dir %{_sysconfdir}/rc?.d
  %attr(0640,root,admin)	%config %{_sysconfdir}/default/devpts
  %attr(0640,root,admin)	%config %{_sysconfdir}/default/bootcolors
  %attr(0640,root,admin)	%config %{_sysconfdir}/default/rcS
  %attr(0640,root,admin)	%config %{_sysconfdir}/default/network
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/default/keyboard

  %config %verify(not md5 mtime size) %{_sysconfdir}/adjtime
  %config %{_sysconfdir}/profile.d/lang.sh
  %config %{_sysconfdir}/profile.d/lang.csh

  %attr(0640,root,root)		%config %{_sysconfdir}/inittab
  %attr(0740,root,root)		%config %{_sysconfdir}/rc
  %attr(0740,root,root)		%config %{_sysconfdir}/rcS
  %attr(0700,root,root)		%config %{_sysconfdir}/rc.selinux
  %attr(0700,root,root)		%dir	%{_sysconfdir}/rc?.d/*
  %attr(0700,root,root)		%dir    %{_sysconfdir}/init.d
  %attr(0700,root,root)		%config %{_sysconfdir}/init.d/*
  %attr(0640,root,root)		%config(noreplace) %{_sysconfdir}/sysctl.conf

  %attr(0500,root,root)		%config %{_root_sbindir}/ifdown
  %attr(0500,root,root)		%config %{_root_sbindir}/ifup

  %attr(0500,root,root)		%{_sbindir}/sys-unconfig
  %attr(0511,root,root)		%{_root_bindir}/doexec
  %attr(0511,root,root)		%{_root_bindir}/ipcalc
  %attr(0511,root,root)		%{_root_bindir}/usleep
  %attr(0511,root,root)		%{_root_sbindir}/consoletype
  %attr(0511,root,root)		%{_root_sbindir}/getkey
  %attr(0511,root,root)		%{_root_sbindir}/initlog
  %attr(0511,root,root)		%{_root_sbindir}/minilogd
  %attr(0511,root,root)		%{_root_sbindir}/setsysfont

  %attr(0640,root,admin)	%config %{_sysconfdir}/default/initlog.conf

  %ghost %attr(0660,root,utmp) /var/log/wtmp
  %ghost %attr(0660,root,utmp) /var/run/utmp

%prep
%setup -q
%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p0
%patch05 -p0
%patch06 -p0
%patch07 -p0
%patch08 -p1
%patch09 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch20 -p1

%build
  make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" LIBPOPT="%{_libdir}/libpopt.a" \
	%{?_smp_mflags}

  # This is now packaged in 'modutils'.
  rm init.d/modutils

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  # Set up directory structure. 
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/default

  # Make and install the initscripts.
  make ROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install 

  # Install rc.selinux
  install rc.selinux $RPM_BUILD_ROOT/%{_sysconfdir}

  # Install ifup/ifdown binaries.
  install -m551 src/ifupdown/ifup $RPM_BUILD_ROOT/%{_root_sbindir}/ifup
  install -m551 src/ifupdown/ifup $RPM_BUILD_ROOT/%{_root_sbindir}/ifdown

  # Restore permissions on /etc
  chmod 750 $RPM_BUILD_ROOT/%{_sysconfdir}

  # Set up rc stucture.
  for i in 0 1 2 3 4 5 6 S ; do
    file=$RPM_BUILD_ROOT/etc/rc$i.d
    mkdir $file
  done

  # Set up symlink structure.
  ln -s ../init.d/hwclock	$RPM_BUILD_ROOT/etc/rc0.d/K25hwclock
  ln -s ../init.d/killall	$RPM_BUILD_ROOT/etc/rc0.d/S00killall
  ln -s ../init.d/halt		$RPM_BUILD_ROOT/etc/rc0.d/S01halt
  ln -s ../init.d/single	$RPM_BUILD_ROOT/etc/rc1.d/S00single
  ln -s ../init.d/rmnologin	$RPM_BUILD_ROOT/etc/rc2.d/S99rmnologin
  ln -s ../init.d/sys-unconfig	$RPM_BUILD_ROOT/etc/rc3.d/S11sys-unconfig
  ln -s ../init.d/rmnologin	$RPM_BUILD_ROOT/etc/rc3.d/S99rmnologin
  ln -s ../init.d/hwclock	$RPM_BUILD_ROOT/etc/rc6.d/K25hwclock
  ln -s ../init.d/killall	$RPM_BUILD_ROOT/etc/rc6.d/S00killall
  ln -s ../init.d/halt		$RPM_BUILD_ROOT/etc/rc6.d/S01reboot
  ln -s ../init.d/reboot	$RPM_BUILD_ROOT/etc/rc6.d/S90reboot

  ln -s ../init.d/keytable	$RPM_BUILD_ROOT/etc/rcS.d/S05keytable
  ln -s ../init.d/checkroot	$RPM_BUILD_ROOT/etc/rcS.d/S10checkroot
  ln -s ../init.d/hwclock	$RPM_BUILD_ROOT/etc/rcS.d/S12hwclock
  ln -s ../init.d/checkfs	$RPM_BUILD_ROOT/etc/rcS.d/S30checkfs
  ln -s ../init.d/procps	$RPM_BUILD_ROOT/etc/rcS.d/S30procps
  ln -s ../init.d/mountall	$RPM_BUILD_ROOT/etc/rcS.d/S35mountall
  ln -s ../init.d/hostname	$RPM_BUILD_ROOT/etc/rcS.d/S40hostname
  ln -s ../init.d/console-screen $RPM_BUILD_ROOT/etc/rcS.d/S48console-screen
  ln -s ../init.d/bootmisc	$RPM_BUILD_ROOT/etc/rcS.d/S55bootmisc
  ln -s ../init.d/random	$RPM_BUILD_ROOT/etc/rcS.d/S80random
  ln -s ../init.d/devpts	$RPM_BUILD_ROOT/etc/rcS.d/s35devpts

  # Touch utmp/wtmp.
  mkdir -p $RPM_BUILD_ROOT/%{_var}/{log,run}
  touch $RPM_BUILD_ROOT/%{_var}/run/utmp
  touch $RPM_BUILD_ROOT/%{_var}/log/wtmp

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/default/harddisks
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/harddisks
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/modutils
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/network/options.save
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/network/spoof-protect.save
  rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}/ppp
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/init
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network
  rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts

%pre
  %{_sbindir}/groupadd -g 22 -r -f utmp

%post
  touch %{_var}/log/wtmp
  touch %{_var}/run/utmp
  chown root.utmp %{_var}/log/wtmp %{_var}/run/utmp
  chmod 660 %{_var}/log/wtmp %{_var}/run/utmp

  chkconfig --add random 
  chkconfig --add network 

%preun
  if [ $1 = 0 ]; then
    chkconfig --del random
    chkconfig --del network
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 22 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 5
  - Remove net.ipv4.ip_always_defrag from sysctl.conf, fixes #0000862.

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 4
  - Add ability to pass path to libpopt via args for 64bit systems.
  - Build ifupdown since we're no longer 32bit only.

* Wed Jul 13 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 3
  - Bump release to avoid confusion.

* Wed Jul 13 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 2
  - Bring in support for SELinux.  These bits were taken from the FC4
    initscripts package but are probably not complete yet.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
